# Welcome to metaDMG


This website documents the features and options available in metaDMG.

The documentation is structured as follows:
## Documentation:

- [Introduction](introduction): Introducton to the field of metagenomics and the problem of estimating damage in the case of ancient DNA.

- [Getting Started](getting-started): Software requirements, installation explanation, and a short workflow introduction.

- [Tutorial](tutorial): How to classify ancient taxa in a metagenomic sample.

- [Command Line Interface](command-line-interface): The command line interface.

- [Results](results): Explanation of the fit results.

- [Dashboard](dashboard): Explanation of dashboard.

<!-- ```{margin} Look, some margin content!
On wider screens, this content will pop out to the side!
```

````{margin} Code blocks in margins
```python
print("here is some python")
```
```` -->

---

## Reference:

- [Main](api-main): The main functions to use if importing `metaDMG` as a package.
- [Utils](api-utils): General functions.
- [CLI](api-cli): Full API for the command line interface.

For the source code, see [Github](https://github.com/metaDMG-dev/metaDMG-core)

<!-- --- -->

```{toctree}
---
caption: Documentation
maxdepth: 2
hidden:
---

introduction
getting-started
tutorial
command-line-interface
results
dashboard
```


```{toctree}
---
caption: Reference
maxdepth: 1
hidden:
---

api-main
api-utils
api-cli
```

<!-- &ensp; &ensp;&ensp;&ensp; -->
<!-- <span style="font-size:larger;">word</span> -->
